orte/runtime/orte_wait.h File Reference.TH "orte/runtime/orte_wait.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/runtime/orte_wait.h \- Interface for waitpid / async notification of child death with the libevent runtime system. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef void(* \fBorte_wait_fn_t\fP )(pid_t wpid, int status, void *data)"
.br
.RI "\fItypedef for callback function used in \fCompi_rte_wait_cb\fP \fP"
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "pid_t \fBorte_waitpid\fP (pid_t wpid, int *status, int options)"
.br
.RI "\fIWait for process terminiation. \fP"
.ti -1c
.RI "int \fBorte_wait_cb\fP (pid_t wpid, \fBorte_wait_fn_t\fP callback, void *data)"
.br
.RI "\fIRegister a callback for process termination. \fP"
.ti -1c
.RI "int \fBorte_wait_cb_cancel\fP (pid_t wpid)"
.br
.ti -1c
.RI "int \fBorte_wait_cb_disable\fP (void)"
.br
.ti -1c
.RI "int \fBorte_wait_cb_enable\fP (void)"
.br
.ti -1c
.RI "int \fBorte_wait_init\fP (void)"
.br
.ti -1c
.RI "int \fBorte_wait_kill\fP (int sig)"
.br
.RI "\fIKill all processes we are waiting on. \fP"
.ti -1c
.RI "int \fBorte_wait_finalize\fP (void)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Interface for waitpid / async notification of child death with the libevent runtime system. 


.SH "Function Documentation"
.PP 
.SS "int orte_wait_cb (pid_t wpid, \fBorte_wait_fn_t\fP callback, void * data)"
.PP
Register a callback for process termination. 
.PP
Register a callback for notification when \fCwpid\fP causes a SIGCHLD. \fCwaitpid()\fP will have already been called on the process at this time.
.PP
If a thread is already blocked in \fCompi_rte_waitpid\fP for \fCwpid\fP, this function will return \fCOMPI_ERR_EXISTS\fP. It is illegal for multiple callbacks to be registered for a single \fCwpid\fP (OMPI_EXISTS will be returned in this case).
.PP
\fBWarning:\fP
.RS 4
It is not legal for \fCwpid\fP to be -1 when registering a callback. 
.RE
.PP

.SS "pid_t orte_waitpid (pid_t wpid, int * status, int options)"
.PP
Wait for process terminiation. 
.PP
Similar to \fCwaitpid\fP, \fCorte_waitpid\fP utilizes the run-time event library for process terminiation notification. The \fCWUNTRACED\fP option is not supported, but the \fCWNOHANG\fP option is supported.
.PP
\fBNote:\fP
.RS 4
A \fCwpid\fP value of \fC-1\fP is not currently supported and will return an error. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
